FORMAX DEVELOPER API
  1. Gift Voucher API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
      POST
    • Pull Voucher
      POST
    • Transaction Status
      POST
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Gift Voucher API

Transaction Status

POST
https://api.formaxpay.com/api/gift_voucher/txn_status
This API is used to check the transaction status of a gift voucher purchase using the Partner Order ID or Formax Order ID.
It helps partners verify whether a voucher transaction is successful, pending, or failed and retrieve voucher details if already issued.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/gift_voucher/txn_status' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "order_id": "TGV66455078125001EPRHD"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Transaction Details Fetched Successfully",
    "data": {
        "txn_status": "SUCCESS",
        "txn_description": "Transaction Successful",
        "brand_id": 3,
        "brand_name": "Amazon Shopping",
        "quantity": 1,
        "denomination": 500,
        "order_id": "GV07397460937500CENUA",
        "p_order_id": "TGV66455078125001EPRHD",
        "order_amount": "500.00",
        "txn_type": "DR",
        "opening_bal": "780597.12",
        "closing_bal": "780106.62",
        "commercial_amount": "9.50",
        "timestamp": "2025-12-12 16:8:34",
        "vouchers": [
            {
                "voucher_no": "SV8T-A957K4-NRN",
                "voucher_pin": "6014868794024249",
                "voucher_gc_code": "6014868794024249",
                "value": "500.00",
                "expiry_date": "11 Dec 2026"
            }
        ]
    }
}
Modified at 2025-12-24 12:32:46
Previous
Pull Voucher
Next
PAN Verification
Built with